nvidia-xconfig(1)

NAME
nvidia-xconfig - manipulate X configuration files for the NVIDIA driver

SYNOPSIS
nvidia-xconfig [ options ]

DESCRIPTION

nvidia-xconfig is a tool intended to provide basic control over configuration options available in the NVIDIA X driver.

nvidia-xconfig performs its operations in several steps:

1)  The system X configuration file is found and read into memory. If no configuration file can be found, nvidia-xconfig generates one from scratch using default settings; in this case, nvidia-xconfig will automatically determine the name of the X configuration file to create: /etc/X11/xorg.conf if the X server in use is X.org or /etc/X11/XF86Config if the X server in use is XFree86.

2)  The configuration in memory is modified to support the NVIDIA driver. This consists of changing the display driver to "nvidia", removing the commands to load the "GLcore" and "dri" modules, and adding the command to load the "glx" module.

3)  The configuration in memory is modified according to the options specified on the command line. Please see the NVIDIA README for a description of the NVIDIA X configuration file options. Note that nvidia-xconfig does not perform any validation of the X configuration file options requested on the command line; X configuration file option validation is left for the NVIDIA X driver.

4)  The configuration is written back to the file from which it was read. A backup of the original configuration is created with ".backup" appended. For example, if your X configuration is /etc/X11/xorg.conf then nvidia-xconfig will copy it to /etc/X11/xorg.conf.backup before writing the new configuration. The --post-tree (-T) option can be used to print the new configuration to standard out in tree form instead. This option is useful to see what nvidia-xconfig will do while leaving the original configuration intact.

OPTIONS

-c XCONFIG, --xconfig=XCONFIG
    Use XCONFIG as the input X config file; if this option is not specified, then the same search path used by the X server will be used to find the X configuration file.

-o OUTPUT-XCONFIG, --output-xconfig=OUTPUT-XCONFIG
    Use OUTPUT-XCONFIG as the output X configuration file; if this option is not specified, then the input X configuration filename will also be used as the output X configuration filename.

-s, --silent
    Run silently; no messages will be printed to stdout, except for warning and error messages to stderr.

-t, --tree
    Read the X configuration file, print to stdout the X configuration data in a tree , and exit.

-v, --version
    Print the nvidia-xconfig version and exit.

-h, --help
    Print usage information for the common commandline options and exit.

-A, --advanced-help
    Print usage information for the common commandline options as well as the advanced options, and then exit.

ADVANCED OPTIONS

--acpid-socket-path=ACPID-SOCKET-PATH, --no-acpid-socket-path
    Set this option to specify an alternate path to the Linux ACPI daemon (acpid)'s socket, which the NVIDIA X driver will use to connect to acpid.

--add-argb-glx-visuals, --no-add-argb-glx-visuals
    Enables or disables support for OpenGL rendering into 32-bit ARGB windows and pixmaps.

--allow-glx-with-composite, --no-allow-glx-with-composite
    Enable or disable the "AllowGLXWithComposite" X configuration option.

--bandwidth-test, --no-bandwidth-test
    Disable or enable the "NoBandWidthTest" X configuration option.

--cool-bits=COOL-BITS, --no-cool-bits
    Enable or disable the "Coolbits" X configuration option. Setting this option will enable support in the NV-CONTROL X extension for manipulating GPU clock and GPU fan control settings. Default value is 0. For fan control set it to 4. WARNING: this may cause system damage and void warranties.

--composite, --no-composite
    Enable or disable the "Composite" X extension.

--connected-monitor=CONNECTED-MONITOR, --no-connected-monitor
    Enable or disable the "ConnectedMonitor" X configuration option; setting this option forces the X driver to behave as if the specified display devices are connected to the GPU.

--connect-to-acpid, --no-connect-to-acpid
    Enable or disable the "ConnectToAcpid" X configuration option. If this option is set, the NVIDIA X driver will attempt to connect to the Linux ACPI daemon (acpid). Set this option to off to prevent the X driver from attempting to connect to acpid.

--constant-dpi, --no-constant-dpi
    Enable or disable the "ConstantDPI" X configuration option, which controls whether the NVIDIA X driver maintains a constant dots per inch (DPI) value by recomputing the reported size in millimeters of the X screen when XRandR changes the size in pixels of the X screen.

--custom-edid=CUSTOM-EDID, --no-custom-edid
    Enable or disable the "CustomEDID" X configuration option; setting this option forces the X driver to use the EDID specified.This option is a semicolon-separated list of pairs of display device names and filename pairs; e.g "CRT-0: mp\did.bin". Note that a display device name must always be specified even if only one EDID is specified.

--dac-8bit, --no-dac-8bit
    Most Quadro parts by default use a 10 bit color look up table (LUT) by default; setting this option to TRUE forces these graphics chips to use an 8 bit (LUT).

-d DEPTH, --depth=DEPTH
    Set the default depth to DEPTH ; valid values for DEPTH are 8, 15, 16, 24, and 30.

--disable-glx-root-clipping, --no-disable-glx-root-clipping
    Disable or enable clipping OpenGL rendering to the root window via the "DisableGLXRootClipping" X configuration option.

--damage-events, --no-damage-events
    Use OS-level events to notify the X server when a direct-rendering client has performed rendering that needs to be composited to the screen. Improves performance when using GLX with the composite extension.

--dynamic-twinview, --no-dynamic-twinview
    Enable or disable support for dynamically configuring TwinView.

--preserve-driver-name
    By default nvidia-xconfig changes the display driver to "nvidia" for all configured X screens; this option preserves the existing driver name of each X screen.

--enable-acpi-hotkeys, --no-enable-acpi-hotkeys
    The "EnableACPIHotkeys" option can be specified to override the NVIDIA X driver's default decision to enable or disable ACPI display change hotkey events.

-a, --enable-all-gpus
    Configure an X screen on every GPU in the system.

--exact-mode-timings-dvi, --no-exact-mode-timings-dvi
    Forces the initialization of the X server with the exact timings specified in the ModeLine.

-E FILE, --extract-edids-from-file=FILE
    Extract any raw EDID byte blocks contained in the specified X log file LOG ; raw EDID bytes are printed by the NVIDIA X driver to the X log as hexidecimal when verbose logging is enabled with the "-logverbose 6" X server commandline option. Any extracted EDIDs are then written as binary data to individual files. These files can later be used by the NVIDIA X driver through the "CustomEDID" X configuration option.

--extract-edids-output-file=FILENAME
    When the '--extract-edids-from-log' option is used, nvidia-xconfig writes any extracted EDID to a file, typically "edid.bin" in the current directory. Use this option to specify an alternate filename. Note that nvidia-xconfig, if necessary, will append a unique number to the EDID filename, to avoid overwriting existing files (e.g., "edid.bin.1" if "edid.bin" already exists).

--flip, --no-flip
    Enable or disable OpenGL flipping

--force-generate
    Force generation of a new X config file, ignoring any existing system X config file. This is not typically recommended, as things like the mouse protocol, keyboard layout, font paths, etc, are setup by your Unix distribution. While nvidia-xconfig can attempt to infer these values, it is best to use your Unix distribution's X config file for the basis of anything that nvidia-xconfig creates.

--force-stereo-flipping, --no-force-stereo-flipping
    Normally, stereo flipping is only performed when a stereo drawable is visible. This option forces stereo flipping even when no stereo drawables are visible.

--handle-special-keys=WHEN, --no-handle-special-keys
    Specify when the X server should use the builtin keyboard handler to process special key combinations (such as Ctrl+Alt+Backspace); see the X configuration man page for details. The value of WHEN can be 'Always', 'Never', or 'WhenNeeded'.

--include-implicit-metamodes, --no-include-implicit-metamodes
    Enable or disable the "IncludeImplicitMetaModes" X configuration option.

--keyboard=KEYBOARD
    When generating a new X configuration file (which happens when no system X configuration file can be found, or the '--force-generate' option is specified), use KEYBOARD as the keyboard type, rather than attempting to probe the system for the keyboard type. For a list of possible keyboard types, see the '--keyboard-list' option.

--keyboard-driver=DRIVER
    In most cases nvidia-xconfig can automatically determine the correct keyboard driver to use (either 'kbd' or 'keyboard'). Use this option to override what nvidia-xconfig detects. Typically, if you are using an X.Org X server, use 'kdb'; if you are using an XFree86 X server, use 'keyboard'.

--keyboard-list
    Print to stdout the available keyboard types recognized by the '--keyboard' option, and then exit.

--layout=LAYOUT
    The nvidia-xconfig utility operates on a Server Layout within the X configuration file. If this option is specified, the layout named LAYOUT in the X configuration file will be used. If this option is not specified, the first Server Layout in the X configuration file is used.

--logo, --no-logo
    Disable or enable the "NoLogo" X configuration option.

--logo-path=PATH, --no-logo-path
    Set the path to the PNG file to be used as the logo splash screen at X server startup.

--mode=MODE
    Add the specified mode to the mode list.

--mode-debug, --no-mode-debug
    Enable or disable the "ModeDebug" X configuration option; when enabled, this option causes the X driver to print verbose details about mode validation to the X log file.

--mode-list=MODELIST
    Remove all existing modes from the X configuration's modelist and add the one(s) specified in the MODELIST string.

--remove-mode=MODE
    Remove the specified mode from the mode list.

--mouse=MOUSE
    When generating a new X configuration file (which happens when no system X configuration file can be found, or the '--force-generate' option is specified), use MOUSE as the mouse type, rather than attempting to probe the system for the mouse type. For a list of possible mouse types, see the '--mouse-list' option.

--mouse-list
    Print to stdout the available mouse types recognized by the '--mouse' option, and then exit.

--multigpu=MULTIGPU, --no-multigpu
    Enable or disable MultiGPU. Valid values for MULTIGPU are 'Off', 'On', 'Auto', 'AFR', 'SFR', 'AA'.

--multisample-compatibility, --no-multisample-compatibility
    Enable or disable the use of separate front and back multisample buffers.

--nvagp=NVAGP, --no-nvagp
    Set the NvAGP X config option value. Possible values are 0 (no AGP), 1 (NVIDIA's AGP), 2 (AGPGART), 3 (try AGPGART, then try NVIDIA's AGP); these values can also be specified as 'none', 'nvagp', 'agpgart', or 'any'.

--nvidia-cfg-path=PATH
    The nvidia-cfg library is used to communicate with the NVIDIA kernel module to query basic properties of every GPU in the system. This library is typically only used by nvidia-xconfig when configuring multiple X screens. This option tells nvidia-xconfig where to look for this library (in case it cannot find it on its own). This option should normally not be needed.

--only-one-x-screen
    Disable all but one X screen.

--overlay, --no-overlay
    Enable or disable the "Overlay" X configuration option.

--cioverlay, --no-cioverlay
    Enable or disable the color index overlay.

--overlay-default-visual, --no-overlay-default-visual
    Enable or disable the "OverlayDefaultVisual" X configuration option.

--transparent-index=INDEX, --no-transparent-index
    Pixel to use as transparent when using color index overlays. Valid values for TRANSPARENT-INDEX are 0-255.

-T, --post-tree
    Like the '--tree' option, but goes through the full process of applying any user requested updates to the X configuration, before printing the final configuration to stdout in a tree . Effectively, this option just causes the configuration to be printed to stdout as a tree instead of writing the results to file.

--power-connector-check, --no-power-connector-check
    Disable or enable the "NoPowerConnectorCheck" X configuration option.

--probe-all-gpus, --no-probe-all-gpus
    Disable or enable the "ProbeAllGpus" X configuration option.

--query-gpu-info
    Print information about all recognized NVIDIA GPUs in the system.

--randr-rotation, --no-randr-rotation
    Enable or disable the "RandRRotation" X configuration option.

--registry-dwords=REGISTRY-DWORDS, --no-registry-dwords
    Enable or disable the "RegistryDwords" X configuration option.

--render-accel, --no-render-accel
    Enable or disable the "RenderAccel" X configuration option.

--render-extension, --no-render-extension
    Disable or enable the "NoRenderExtension" X configuration option.

--rotate=ROTATE, --no-rotate
    Enable or disable the "Rotate" X configuration option. Valid values for ROTATE are 'normal', 'left', 'CCW', 'inverted', 'right', and 'CW'. Rotation can be disabled

--screen=SCREEN
    The nvidia-xconfig utility operates on one or more screens within a Server Layout in the X configuration file. If this option is specified, the screen named SCREEN in the X configuration file will be used. If this option is not specified, all screens within the selected Server Layout in the X configuration file will be used used.

--separate-x-screens, --no-separate-x-screens
    A GPU that supports multiple simultaneous display devices can either drive these display devices in TwinView, or as separate X screens. When the '--separate-x-screens' option is specified, each GPU on which an X screen is currently configured will be updated to have two X screens configured. The '--no-separate-x-screens' option will remove the second configured X screen on each GPU. Please see the NVIDIA README description of "Separate X Screens on One GPU" for further details.

--sli=SLI, --no-sli
    Enable or disable SLI. Valid values for SLI are 'Off', 'On', 'Auto', 'AFR', 'SFR', 'AA', 'AFRofAA'.

--stereo=STEREO, --no-stereo
    Enable or disable the stereo mode. Valid values for STEREO are: 0 (Disabled), 1 (DDC glasses), 2 (Blueline glasses), 3 (Onboard stereo), 4 (TwinView clone mode stereo), 5 (SeeReal digital flat panel), 6 (Sharp3D digital flat panel), 7 (Arisawa/Hyundai/Zalman/Pavione/Miracube), 8 (3D DLP), 9 (3D DLP INV), 10 (NVIDIA 3D VISION).

--tv-standard=TV-STANDARD, --no-tv-standard
    Enable or disable the "TVStandard" X configuration option. Valid values for "TVStandard" are: "PAL-B", "PAL-D", "PAL-G", "PAL-H", "PAL-I", "PAL-K1", "PAL-M", "PAL-N", "PAL-NC", "NTSC-J", "NTSC-M", "HD480i", "HD480p", "HD720p", "HD1080i", "HD1080p", "HD576i", "HD576p".

--tv-out-=TV-OUT-FORMAT, --no-tv-out-
    Enable or disable the "TVOutFormat" X configuration option. Valid values for "TVOutFormat" are: "SVIDEO" and "COMPOSITE".

--tv-over-scan=TV-OVER-SCAN, --no-tv-over-scan
    Enable or disable the "TVOverScan" X configuration option. Valid values are decimal values in the range 1.0 and 0.0.

--twinview, --no-twinview
    Enable or disable TwinView.

--twinview-orientation=ORIENTATION, --no-twinview-orientation
    Specify the TwinViewOrientation. Valid values for ORIENTATION are: "RightOf" (the default), "LeftOf", "Above", "Below", or "Clone".

--twinview-xinerama-info, --no-twinview-xinerama-info
    Prohibits providing Xinerama information when in TwinView.

--twinview-xinerama-info-order=TWINVIEW-XINERAMA-INFO-ORDER, --no-twinview-xinerama-info-order
    Enable or disable the "TwinViewXineramaInfoOrder" X configuration option. TWINVIEW-XINERAMA-INFO-ORDER is a comma-separated list of display device names that describe the order in which TwinViewXineramaInfo should be reported. E.g., "CRT, DFP, TV".

--ubb, --no-ubb
    Enable or disable the "UBB" X configuration option.

--use-edid, --no-use-edid
    Enable or disable use of the EDID (Extended Display Identification Data) from your display device(s). The EDID will be used for driver operations such as building lists of available modes, determining valid frequency ranges, and computing the DPI (Dots Per Inch). This option defaults to TRUE (the NVIDIA X driver will use the EDID, when available). It is NOT recommended that you use this option to globally disable use of the EDID; instead, use '--no-use-edid-freqs' or '--no-use-edid-dpi' to disable specific uses of the EDID.

--use-edid-dpi, --no-use-edid-dpi
    Enable or disable use of the physical size information in the display device's EDID, if any, to compute the DPI (Dots Per Inch) of the X screen. This option defaults to TRUE (the NVIDIA X driver uses the EDID's physical size, when available, to compute the DPI).

--use-edid-freqs, --no-use-edid-freqs
    Enable or disable use of the HorizSync and VertRefresh ranges given in a display device's EDID, if any. EDID provided range information will override the HorizSync and VertRefresh ranges specified in the Monitor section. This option defaults to TRUE (the NVIDIA X driver will use frequency information from the EDID, when available).

--use-int10-module, --no-use-int10-module
    Enable use of the X Int10 module to soft-boot all secondary cards, rather than POSTing the cards through the NVIDIA kernel module.

--use-display-device=DISPLAY-DEVICE, --no-use-display-device
    Force the X driver to use the display device specified.

--use-events, --no-use-events
    Enable or disable "UseEvents" X configuration option. Setting this option will enable the X driver to use the system events in some cases when it is waiting for the hardware. With this option X driver sets an event handler and waits for the hardware through the poll() system call. This option defaults to FALSE.

--virtual=WIDTHxHEIGHT, --no-virtual
    Specify the virtual screen resolution.

--x-prefix=X-PREFIX
    The X installation prefix; the default is /usr/X11R6/. Only under rare circumstances should this option be needed.

--xinerama, --no-xinerama
    Enable or disable Xinerama.

--xvmc-uses-textures, --no-xvmc-uses-textures
    Forces XvMC to use the 3D engine for XvMCPutSurface requests rather than the video overlay.

EXAMPLES

nvidia-xconfig
    Reads an existing X config file and adapts it to use the NVIDIA driver. If no X config file can be found, a new one is created at /etc/X11/XF86Config with default settings.

nvidia-xconfig --post-tree --twinview
    Reads the existing X configuration file, adds the TwinView option, and then prints the resulting config file to standard out in tree form. The configuration file is not modified.

nvidia-xconfig --enable-all-gpus
    Examines the system and configures an X screen for each display device it finds.

nvidia-xconfig --mode=1600x1200
    Adds a 1600x1200 mode to an existing X configuration.

nvidia-xconfig --mode-list=1600x1200 1280x1024
    Removes any existing modes from the X configuration file, replacing them with "1600x1200" and "1280x1024".

nvidia-xconfig --only-one-x-screen --sli=Auto
    Configures the X server to have just one X screen that will use SLI when available.

AUTHOR
Aaron Plattner
NVIDIA Corporation

SEE ALSO
nvidia-settings(1), /usr/share/doc/NVIDIA_GLX-1.0/README.txt

COPYRIGHT
Copyright © 2005 NVIDIA Corporation.